diff --git a/opal/mca/memory/patcher/memory_patcher_component.c b/opal/mca/memory/patcher/memory_patcher_component.c
index 037585ba801..32ef1568ddb 100644
--- a/opal/mca/memory/patcher/memory_patcher_component.c
+++ b/opal/mca/memory/patcher/memory_patcher_component.c
@@ -249,7 +249,7 @@ static int intercept_madvise (void *start, size_t length, int advice)
 #if defined SYS_brk
 
 #if OPAL_MEMORY_PATCHER_HAVE___CURBRK
-void *__curbrk; /* in libc */
+extern void *__curbrk; /* in libc */
 #endif
 
 static int (*original_brk) (void *);
